cURL
curl --request POST \ --url https://mcp-bff.gojinko.com/api/v1/bookings/lookup \ --header 'Content-Type: application/json' \ --data ' { "booking_ref": "<string>", "last_name": "<string>" } '
{ "booking": { "booking_reference": "<string>", "created_at": "<string>", "customer_contact": { "email": "<string>", "first_name": "<string>", "last_name": "<string>", "phone_number": "<string>" }, "items": [ { "confirmation": { "confirmation_number": "<string>", "product_summary": "<string>", "total_paid": { "amount": 123, "currency": "<string>", "decimal_places": 123 } }, "domain": "<string>", "status": "pending" } ], "status": "pending", "travelers": [ { "first_name": "<string>", "last_name": "<string>", "passenger_type": "<string>" } ] } }
Anonymous lookup for end-users checking their own booking. Returns generic errors to avoid leaking existence information.
Booking lookup request
OK
Show child attributes